<?php
/************************************************************************/
/*                                WEBSHARE                              */
/************************************************************************/
//
// Copyright (c) 2008 by Virginie Vivancos
// http://www.webshare.fr
//
// This program is free software. You can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License.
//
// =======================================================================
// Fonction : Translation file for Japanese version by Minoru BANDO (minorio at nokosu dot com)
// Nom      : Japanese.lang.php
// Version  : 0.6
// Date     : 30/09/07
// =======================================================================
// Text encoding: UTF-8/UNIX(LF)

  $listeMois= array("","Jan.","Feb.","March","April","May","June","July","Aug.","Sept","Oct.","Nov.","Dec.");
  $listeJour= array("","Mon"=>"Monday","Tue"=>"Tuesday","Wed"=>"Wednesday","Thu"=>"Thursday","Fri"=>"Friday","Sat"=>"Saturday","Sun"=>"Sunday");

  $dia= array();

  // Panneau de login
  $dia["ident"]             ="ログインして下さい：";
  $dia["cantIdent"]         ="ID または パスワードが間違っています";
  $dia["identProblem1"]     ="サーバーにアクセスできません";
  $dia["identProblem2"]     ="テクニカルな障害が発生しています";
  $dia["enter"]             ="Enter";
  
  // Interface
  $dia["loading"]           ="読み込み中";
  $dia["actualDir"]         ="現在のフォルダ：";
  $dia["connected"]         ="ログインユーザー：";
  $dia["directLink"]        ="Direct link";
  $dia["filePreview"]       ="ファイルプレビュー";
  $dia["pictPreview"]       ="画像プレビュー";
  $dia["webPreview"]        ="ウェブページを表示中：";
  $dia["niveauSup"]         ="上位階層";
  $dia["closePanel"]        ="Close panel";
  $dia["picTooBig"]         ="画像サイズが大きすぎて表示できません";
  $dia["previousPage"]      ="前のページ";
  $dia["upDir"]             ="上位階層";
  $dia["updateDir"]         ="フォルダを更新";  
  $dia["changeStyle"]       ="スタイル選択";  
  $dia["refreshTree"]       ="フォルダツリーを更新";
  $dia["hideTree"]          ="Reduce folder tree";
  $dia["showTree"]          ="Deploy folder tree";  
  $dia["printGallery"]      ="一覧を印刷";
  $dia["saveAll"]           ="全てローカルに保存";
  $dia["savePic"]           ="保存";  
  $dia["webSite"]           ="ウェブサイト";
  $dia["affichage"]         ="表示";
  $dia["expPanel"]          ="フォルダパネル";  
  $dia["background"]        ="背景にする";
  $dia["miniature"]         ="サムネール";
  $dia["bigIcone"]          ="大きいアイコン";
  $dia["liste"]             ="リスト";
  $dia["details"]           ="詳細";
  $dia["none"]              ="なし";
  $dia["arbo"]              ="ツリー";
  $dia["closeWindow"]       ="閉じる";
  $dia["viewContent"]       ="中身を見る";
  $dia["onlineHelp"]        ="オンラインヘルプ";
  $dia["rapport"]           ="バグを報告する";
  $dia["options"]           ="オプション";
  $dia["contact"]           ="Contact";
  $dia["about"]             ="About ";    
  $dia["total"]             ="合計";
  $dia["free"]              ="空き容量";  
  $dia["octet"]             ="b";  
    
  // Verbes / actions  
  $dia["openFile"]          ="開く";
  $dia["openFileWith"]      ="開く";
  $dia["saveFile"]          ="ファイルをローカルに保存";
  $dia["toExplore"]         ="エクスプローラー";
  $dia["toBrowse"]          ="ブラウズ";
  $dia["toVisit"]           ="ブラウザで開く";
  $dia["toView"]            ="見る";
  $dia["toWatch"]           ="ムービーを再生";
  $dia["toListen"]          ="再生";
  $dia["toPrint"]           ="印刷";
  $dia["toUpload"]          ="アップロード";
  $dia["toCut"]             ="カット";
  $dia["toCopy"]            ="コピー";
  $dia["toPaste"]           ="ペースト";
  $dia["toMove"]            ="移動";
  $dia["toDelete"]          ="削除";
  $dia["toChmod"]           ="属性を変更";
  $dia["toSearch"]          ="検索";
  $dia["toRename"]          ="名前を変更";
  $dia["toComment"]         ="コメントを追加";   
  $dia["toValid"]           ="Valid";
  $dia["toEdit"]            ="編集";
  $dia["toModify"]          ="変更されました";
  $dia["toZip"]             ="アーカイブを解凍";     
  $dia["toDezip"]           ="アーカイブを解凍";     
  $dia["toConnect"]         ="Connect";  
  $dia["toQuit"]            ="終了";
  
  // Chargement de fichier   
  $dia["addUpload"]         ="ファイルを選択";
  $dia["startUpload"]       ="アップロード開始";  
  $dia["limitTaille"]       ="アップロードできるファイルサイズの上限：";
  $dia["ifFileExist"]       ="If file already exist :";
  $dia["replaceFile"]       ="Replace";
  $dia["renameFile"]        ="Rename";
  $dia["cancelFile"]        ="Cancel";  
  $dia["waitingDownload"]   ="ダウンロード待ち";
  $dia["problemDownload"]   ="ダウンロード中に障害が発生しました";
  $dia["prohibited"]        ="このファイルを変更する権限がありません";
  $dia["downloading"]       ="ダウンロード中...";
  $dia["uploading"]         ="アップロード中...";
  $dia["started"]           ="開始しました";
  $dia["success"]           ="ダウンロードが成功しました";
  $dia["tempNotSet"]        ="一時保存フォルダが指定されていません";
  $dia["withSuccess"]       ="（成功）";
  $dia["uploaded"]          ="アップロード完了";
  $dia["succesUpload"]      ="アップロード成功";
  $dia["cantOpen"]          ="ファイルを開けません：";
  $dia["cantWrite"]         ="ファイルに書き込みできません：";
  $dia["fileTooBig"]        ="ファイルサイズが大きすぎます";
  $dia["wait"]              ="待機中";
  
  // Creation de nouveaux élements
  $dia["newFile"]           ="新規ファイル";
  $dia["newDir"]            ="新規フォルダ";
  $dia["newTxt"]            ="新規テキストファイル";
  $dia["newLink"]           ="新規リンク";
  $dia["making"]            ="作成中";
  $dia["areYouSure"]        ="実行してよろしいですか？：";
  $dia["addTxt"]            ="ファイル名を入力して下さい：";
  $dia["addDir"]            ="フォルダ名を入力して下さい：";
  $dia["addNew"]            ="新規追加";  
  $dia["addLink"]           ="名前を入力して下さい：";
  $dia["addLink2"]          =", リンク先のアドレスを入力して下さい：";
  $dia["dirCreate"]         ="新規フォルダの作成";
  $dia["txtCreate"]         ="新規テキスト書類の作成";
  $dia["linkCreate"]        ="リンクの作成";
  $dia["linkTo"]            ="リンク先：";
  $dia["created"]           ="作成されました";
  $dia["theNewDir"]         ="新規フォルダ";
  $dia["theNewLink"]        ="新規リンク";
  $dia["theNewTxt"]         ="新規テキスト書類";
      
  // Réponses
  $dia["File"]              ="ファイル";
  $dia["rep"]               ="フォルダ";
  $dia["dir"]               =" フォルダ";
  $dia["file"]              =" ファイル";
  $dia["ofDir"]             ="フォルダ名=";
  $dia["ofFile"]            ="ファイル名=";
  $dia["onFile"]            ="ファイル名=";
  $dia["theDir"]            ="フォルダ：";
  $dia["theFile"]           ="ファイル：";
  $dia["element"]           ="elements";
  $dia["hasBeen"]           ="完了";
  $dia["hasNotBeen"]        ="未完了";
  $dia["hasFailed"]         ="失敗";
  $dia["dezipping"]         ="非圧縮アーカイブ";  
  $dia["dezipped"]          ="解凍済み";
  $dia["startEdit"]         ="Start editing the file ";
  $dia["endEdit"]           ="Stop editing the file ";
  $dia["confirmEdit"]       ="has been edited and saved.";
  $dia["savingDirContent"]  ="Saving content of the folder ";
  $dia["savingFile"]        ="Saving file ";  
  $dia["backgAdded"]        ="画像を背景に設定しました";
  $dia["backgRemoved"]      ="背景画像を削除しました";
  
  
  // Renommage / Déplacement / Suppression
  $dia["rename"]            ="新しい名前を入力して下さい";
  $dia["renaming"]          ="名前を変更中：";
  $dia["renamed"]           ="名前が変更されました";
  $dia["confirmSup"]        ="Confirm removing this file association ?";  
  $dia["delete"]            ="削除してよろしいですか？：";
  $dia["delete2"]           ="（中身も消去されます）";
  $dia["deleting"]          ="削除中：";
  $dia["deleted"]           ="削除されました";
  $dia["theRemove"]         ="削除";
  $dia["copyOf"]            ="Copy-of-";
  $dia["onlyCopy"]          ="コピーされました";
  $dia["fileExist"]         ="同名のファイルがすでにあります";
  $dia["goingToCopy"]       ="：コピー先を選択して下さい";
  $dia["goingToMove"]       ="：移動先を選択して下さい";
  $dia["moving"]            ="移動中：";
  $dia["moved"]             ="移動しました";
  $dia["fileEditing"]       ="編集中：";
  $dia["copying"]           ="コピー中：";
  $dia["copyingFile"]       ="ダウンロードされたファイルをコピーしています";
  $dia["copied"]            ="コピーされました";
  $dia["toActualDir"]       ="→現在のフォルダ";
  $dia["typeOfElement"]     ="タイプ：";
  $dia["copyTo"]            ="コピー";
  $dia["moveTo"]            ="移動";
  $dia["prohibCar"]         ="以下の文字は使用できません( ? < > : # % + '' ' | & * / )";
  $dia["alreadyExist"]      ="同名のファイルまたはフォルダが存在します。別の名前を入力して下さい";
  $dia["confirmReplace"]    ="同名のファイルまたはフォルダが存在します。このまま実行すると上書きされます";
    
  // Gestion des droits
  $dia["modifyPermission"]  ="属性を変更";
  $dia["noPermission"]      ="権限なし：このファイルタイプを扱えません";
  $dia["noOperation"]       ="この操作は許可されていません";
  $dia["modifying"]         ="属性を変更しています：";
  $dia["fileAttributes"]    ="ファイルの属性";
  $dia["cantModify"]        ="変更できません";
  $dia["modify"]            ="修正";  
  $dia["modified"]          ="変更日時";
  $dia["readWrite"]         ="読み/書き";
  $dia["readOnly"]          ="読み出しのみ";
  $dia["writeOnly"]         ="書き込みのみ";
  $dia["locked"]            ="ロックされています";
  $dia["selectAttributes"]  ="属性：";
  $dia["modR"]              ="読み出し権限";
  $dia["modW"]              ="書き込み権限";
  $dia["modE"]              ="実行権限";
  
   
  // Propriétés / Recherche    
  $dia["property"]          ="プロパティ";
  $dia["propertyOf"]        ="プロパティ";
  $dia["searchIn"]          ="以下を検索：";
  $dia["search"]            ="入力して下さい：";
  $dia["search2"]           ="（検索したいファイルやフォルダの名前）";
  $dia["searching"]         ="検索ワード：";
  $dia["searching2"]        ="実行中";
  $dia["useCasse"]          ="大文字/小文字を区別しますか？";
  $dia["foundIn"]           ="→";
  $dia["into"]              ="→";
  $dia["and"]               ="&";  
  $dia["elementsFound"]     =" elements founds.";     
  $dia["noResult"]          ="ファイルが見つかりません";
  
  // Tri des éléments  
  $dia["sortFile"]          ="ソートの基準";  
  $dia["byName"]            ="ファイル名";
  $dia["byValue"]           ="数値";
  $dia["byType"]            ="種類";
  $dia["bySize"]            ="容量";
  $dia["byDate"]            ="日付";
  $dia["byPerso"]           ="ユーザー";
  $dia["webSort"]           ="デフォルトのソート";

  // Commentaires
  $dia["comment"]           ="コメント";
  $dia["commentAdded"]      ="コメントが追加されました";
  $dia["commentsAdded"]     ="コメントが追加されています";  
  $dia["commentNotAdded"]   ="コメントは追加されていません";
  $dia["addComment"]        ="コメントを追加中：";
  $dia["addingComment"]     ="コメントを追加中：";    
  $dia["commentFile"]       ="ファイルへのコメント：";
  $dia["messageOf"]         ="メッセージ：";  
  
  // Menu Images  
  $dia["previous"]          ="直前の画像";
  $dia["next"]              ="次の画像";
  $dia["zoomp"]             ="拡大";
  $dia["zoomm"]             ="縮小";
  $dia["zooms"]             ="実際のサイズ";
  $dia["diaporama"]         ="スライドショー";
  $dia["refreshMini"]       ="サムネールを更新";
  
  // Infos EXIF
  $dia["cliche"]            ="画像";
  $dia["object"]            ="ファイル";
  $dia["infocomment"]       ="コメント";
  $dia["FileSize"]          ="ファイル容量";
  $dia["DateTimeOriginal"]  ="オリジナルの日時";
  $dia["resolution"]        ="解像度";
  $dia["XResolution"]       ="DPI";
  $dia["Software"]          ="ソフトウェア";
  $dia["Photographer"]      ="撮影者";
  $dia["ExposureTime"]      ="露出時間";
  $dia["ApertureFNumber"]   ="解放F値";
  $dia["MaxApertureValue"]  ="最大解放値";
  $dia["ISOSpeedRatings"]   ="ISO";
  $dia["FocalLength"]       ="焦点距離";
  $dia["ExposureBiasValue"] ="露出バイアス値";
  $dia["LightSource"]       ="光源";
  $dia["Flash"]             ="フラッシュ";

  // Envoi d'emails
  $dia["authSendMail"]      ="Allow sending elements by email";
  $dia["sendMail"]          ="Send by email";
  $dia["titleMail"]         ="Message title";
  $dia["recipientMail"]     ="Indicate mail adress of recipient";
  $dia["contentMail"]       ="Enter your message";
  $dia["sendMailConfirm"]   ="Send your message";
  $dia["sendMailOK"]        ="The message has been sent.";
  $dia["sendMailProblem"]   ="The message could not be sent.";
    
  // Corbeille  
  $dia["corbeille"]         ="Bin";
  $dia["binNoElement"]      ="The trash bin is empty.";
  $dia["binContain"]        ="The trash bin contains";
  $dia["emptyBin"]          ="Empty trash bin";
  $dia["emptyBinConfirm"]   ="Are you sure to empty the trash bin ?";
  $dia["emptyConfirm"]      ="Are you sure to definitively delete this element ?";
  $dia["emptyBinResult"]    ="The trash has been emptied.";
  $dia["viewElements"]      ="View all elements";
  $dia["emptyElements"]     ="Empty all elements more than ";
  $dia["activeBin"]         ="Activate the trash bin for this shared folder ";
    
  // Favoris  
  $dia["favoris"]           ="ブックマーク";
  $dia["addFav"]            ="お気に入りに追加";
  $dia["removeFav"]         ="お気に入りから取り除く";
  $dia["handleFav"]         ="Manage bookmarks";
  $dia["viewFav"]           ="View all bookmarks";  
  
  // Tests des partages  
  $dia["shareTest"]         ="Click to test the settings.";
  $dia["shareOK"]           ="This shared folder is accessible and has sufficient rights.";
  $dia["shareProtected"]    ="This shared folder is accessible but has no sufficient rights.";
  $dia["shareNotAcc"]       ="The root indicated is not accessible or don't exist.";
  $dia["shareFtpNotAcc"]    ="Connection to FTP server impossible.";
  $dia["shareFtpBadLogin"]  ="The FTP server returned an identication error, verify your login and password.";
  $dia["shareFtpError"]     ="The FTP server returned an unknow error.";
  $dia["shareFtpcantMount"] ="Mount point unreachable on the FTP server.";
  $dia["shareFtpProtected"] ="Mount point on the FTP server has no sufficient rights.";
  $dia["shareFtpOK"]        ="Connection to FTP server and test of shared folder successfull.";

  
  // Administration   
  $dia["adminTitle"]        ="ユーザーおよびサーバーの管理";
  $dia["adminHeader"]       ="管理画面";
  $dia["msgFooter"]         ="WebShare は GPL ライセンスの下に公開されています";
  $dia["adminAlert1"]       ="テクニカルな障害が発生したため、変更は反映されていません";
  $dia["adminAlert2"]       ="変更しました";  
  $dia["notActiv"]          ="このオプションはまだ有効化されていません";
  $dia["confirmation"]      ="確認";
  $dia["dialConfirm"]       ="確認";
 
  // Panneau Partages  
  $dia["adminRub2"]         ="サーバー";
  $dia["serverAdmin"]       ="サーバーおよびフォルダの管理";
  $dia["newServer"]         ="新規サーバー";
  $dia["msgInfo1"]          ="注意：FTP 接続機能はまだ使えません（将来のバージョンで対応）";
  $dia["msgInfo2"]          ="警告：パスとファイル名には大小英数以外の文字は使えません";
  $dia["msgInfo3"]          ="装飾文字やスペースは使えません";
  $dia["chooseUser"]        ="削除したいユーザーを選択して下さい";
  $dia["createUser"]        ="ユーザーを作成または修正してからバリデートして下さい";
  $dia["chooseServer"]      ="消去したいサーバーを選択して下さい";
  $dia["createServer"]      ="サーバーを作成または修正してからバリデートして下さい";
  $dia["FTP"]               ="FTP";
  $dia["local"]             ="ローカル";
  $dia["serverFtp"]         ="サーバー(FTP)";
  $dia["loginFtp"]          ="ログイン名(FTP)";
  $dia["passFtp"]           ="パスワード(FTP)";
  $dia["portFtp"]           ="ポート(FTP)";
  $dia["shareRoot"]         ="Root";  
  $dia["serverRoot"]        ="サーバールート";
  $dia["virtualRoot"]       ="バーチャルルート";
  $dia["defaultRoot"]       ="デフォルトフォルダ";
  $dia["protectRep"]        ="新規フォルダをパスワードで保護したい場合：";
  $dia["modeDegrade"]       ="低機能（degraded）モード";
  
  // Panneau Utilisateur  
  $dia["adminRub1"]         ="ユーザー";
  $dia["userAdmin"]         ="ユーザーの管理";
  $dia["newUser"]           ="新規ユーザー";
  $dia["administrator"]     ="管理者";
  $dia["lang"]              ="言語";
  $dia["user"]              ="ユーザー";
  $dia["group"]             ="グループ";
  $dia["name"]              ="名前";
  $dia["login"]             ="ログイン名";
  $dia["passwd"]            ="パスワード";
  $dia["confirmation"]      ="Confirmation";
  $dia["connexion"]         ="接続先";
  $dia["default"]           ="ブラウジング";
  $dia["explore"]           ="Explorer";
  $dia["visualis"]          ="スタイル";
  $dia["leftPanel"]         ="デフォルトの画面";
  $dia["webSort"]           ="Default sort";
  $dia["webDir"]            ="フォルダのプレビュー形式";
  $dia["nameShare"]         ="Shares ";
  $dia["access"]            ="Shares access ";
  $dia["select"]            ="選択";
  $dia["open"]              ="開く";
  $dia["menuContext"]       ="コンテクストメニュー";
  $dia["leftClic"]          ="左クリック：";
  $dia["rightClic"]         ="右クリック：";
  $dia["doubleClic"]        ="ダブルクリック：";
  $dia["toModify"]          ="修正";
  $dia["toCreate"]          ="作成";
  $dia["toRead"]            ="閲覧";
  $dia["regexp"]            ="(正規表現 > 正規表現を追加する場合は | で区切ります) :";
  $dia["filterElement"]     ="以下を含む要素をフィルタリング";
  $dia["recoExtension"]     ="以下の拡張子を認識します";
  $dia["sessionTime"]       ="セッションの継続時間(min)";
  $dia["serverBase"]        ="mySQL server";
  $dia["actionAuth"]        ="このユーザーにはロックされていないファイルに対して以下の操作を許可します：";
  
  // Panneau Préférences  
  $dia["adminRub3"]         ="環境設定";
  $dia["prefAdmin"]         ="Preferences management";
  $dia["baseAdmin"]         ="データベースの管理";
  $dia["memoMax"]           ="Allowed memory for scripts ";
  $dia["execMax"]           ="Life duration for scripts ";
  $dia["postMax"]           ="Size limit for data post";
  $dia["uploMax"]           ="Size limit for uploads";
  $dia["lifeMax"]           ="Life duration";
  $dia["timeMax"]           ="Life duration for uploads ";
  $dia["previewWeb"]        ="Activate website previews";
  $dia["previewAct"]        ="Activate thumbnails ";
  $dia["previewPDF"]        ="Activate PDF files previews";
  $dia["logAct"]            ="Activate logs";
  $dia["sepAdr"]            ="Separate adress by ";
  $dia["alwaysConfirm"]     ="Confirm each action";
  $dia["effectAct"]         ="Activate graphical effects";
  $dia["completePath"]      ="View complete paths";
  $dia["frameTitle"]        ="Window title";
  $dia["viewClock"]         ="View clock";
  $dia["diapoSpeed"]        ="Diaporama speed";
  $dia["diapoStop"]         ="Stop diaporama";
  $dia["arboLink"]          ="View links in folder tree";
  $dia["activeMini"]        ="Activate thumbnails ";
  $dia["dynWindow"]         ="Dynamic windows";
  $dia["serverBase"]        ="mySQL サーバー";
  $dia["loginBase"]         ="mySQL ログイン名";
  $dia["passBase"]          ="mySQL パスワード";
  $dia["tableBase"]         ="Select base";
  $dia["defStyle"]          ="デフォルトスタイル";   
  
  // Panneau Infos  
  $dia["adminRub5"]         ="情報";
  $dia["infoAdmin"]         ="Summary of installation information ";
  $dia["theExt"]            ="The extension";
  $dia["activated"]         =" is activated.";
  $dia["notActivated"]      =" is not activated.";
  $dia["libZip"]            ="(Zip archives management)";
  $dia["libGD"]             ="(Images and thumbnails management)";
  $dia["libMB"]             ="(Special characters management)";
  $dia["libXslt"]           ="(Complementary Xslt management)";
  $dia["libFTP"]            ="(Distant FTP connections)";
  $dia["dontExist"]         ="don't exist.";
  $dia["notAccessible"]     ="don't exist or is not accessible.";
  $dia["accessProtect"]     ="exist is not writable.";
  $dia["isAccessible"]      ="exist and is writable.";
  $dia["modulesDetected"]   ="has been detected and contains following modules :";
  $dia["langDetected"]      ="has been detected and contains following languages :";
  $dia["styleDetected"]     ="has been detected and contains following styles :";
  $dia["cgiUpNotDetected"]  ="has not been detected.";
  $dia["cgiUpLimited"]      ="has been detected but has no sufficient rights.";
  $dia["cgiUpDetected"]     ="has been detected and has sufficient rights.";
  $dia["unlimitedUpload"]   ="You can upload file without size limit.";
  $dia["alertfunction1"]    ="Server configuration seems to impose some limitations,";
  $dia["alertfunction2"]    ="some features of Webshare will probably be restricted.";
  $dia["msgVarNotModif1"]   ="Webshare can't modify these values. In case of problem, ";
  $dia["msgVarNotModif2"]   ="modify the parameters directly in file 'php.ini'.";
  $dia["msgVarModifiable1"] ="You can modify these values if you encounter problems ";
  $dia["msgVarModifiable2"] ="in Webshare. ";
  $dia["tip1"]              ="Indicated values limit actually each script to ";
  $dia["tip2"]              ="seconds of life and uploads to ";
  
  // Panneau Associations  
  $dia["adminRub4"]         ="組合";
  $dia["moduAdmin"]         ="Modules management";
  $dia["assoAdmin"]         ="Associations management";
  $dia["extension"]         ="Extension";
  $dia["exttype"]           ="Type";
  $dia["extmime"]           ="Mime";
  $dia["extact1"]           ="Default action";
  $dia["extact2"]           ="Secondary action";
  $dia["toAdd"]             ="Add";
  $dia["newStyle"]          ="Add a new style";
  $dia["newModule"]         ="Add a new module";
  $dia["updateWS"]          ="Update application";  
  
  // Panneau Logs  
  $dia["adminRub6"]         ="ログ";
  $dia["logsAdmin"]         ="Log viewer";
  $dia["notConnected"]      ="サーバーとの接続に失敗しました。パラメータを確認して下さい";
  $dia["connectedDB"]       ="サーバーとの接続が確認できました";
  $dia["msgBase"]           ="データベースの設定をしなくても使用できますが、イベントログは有効化されません";
  $dia["noLog"]             ="Logs not available";
  $dia["all"]               ="All";
  $dia["allf"]              ="All";
  $dia["resultInd"]         ="Neutral";
  $dia["resultPos"]         ="Positif";
  $dia["resultNeg"]         ="Negatif";
  $dia["noLogs"]            ="No action for this selection";
  $dia["viewAction"]        ="View actions :";
  $dia["madeBy"]            ="made by";
  $dia["withResult"]        ="with result";
  $dia["fromDate"]          ="Period from";
  $dia["toDate"]            ="to";
  $dia["ofDate"]            ="View day";
  $dia["day"]               ="day";
  $dia["days"]              ="days";

foreach($dia as $nomVar => $txtVar) {
  $_SESSION["dia"][$nomVar]=convertUTF8($txtVar);
}
foreach($listeMois as $nomVar => $txtVar) {
  $_SESSION["dia"]["listeMois"][$nomVar]=convertUTF8($txtVar);
}
foreach($listeJour as $nomVar => $txtVar) {
  $_SESSION["dia"]["listeJour"][$nomVar]=convertUTF8($txtVar);
}

  $_SESSION["dia"]["noConf"]  ="サーバーおよびユーザーが登録されていません。<br/><br/><a href='admin/index.php' style='text-decoration:underline'>管理画面</a>を開いて<br/>アカウントを設定して下さい。<br/><br/>詳しくは<br/>ドキュメントをご覧下さい。<br/><br/>";
  $_SESSION["dia"]["noServer"]="サーバーが登録されていません。<br/><br/><a href='admin/index.php' style='text-decoration:underline'>管理画面</a>を開いて<br/>アカウントを設定して下さい。<br/><br/>詳しくは<br/>ドキュメントをご覧下さい。<br/><br/><br/>";
  $_SESSION["dia"]["noUser"]  ="ユーザーが登録されていません。<br/><br/><a href='admin/index.php' style='text-decoration:underline'>管理画面</a>を開いて<br/>アカウントを設定して下さい。<br/><br/>詳しくは<br/>ドキュメントをご覧下さい。<br/><br/><br/>";
  $_SESSION["dia"]["noJS"]    ="JavaScript が見つかりません。<br/><br/>Javascript を有効にして下さい<br/>（ブラウザーが古い場合は）最新のブラウザーをお使い下さい。<br/><br/>";

?>