<?php
/************************************************************************/
/*                                WEBSHARE                              */
/************************************************************************/
//
// Copyright (c) 2008 by Virginie Vivancos
// http://www.webshare.fr
//
// This program is free software. You can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License.
//
// =======================================================================
// Fonction : Créer un nouveau dossier
// Nom      : crea_dossier.php
// Version  : 0.6.5
// Date     : 28/05/08
// =======================================================================
header ("Content-type: text/html; charset=utf-8");
session_start();
include_once "auth.php";
include_once "fonctions.php";
include_once "connexion.conf.php";

$nomSrv = $_SESSION["serveurActif"];
$chemin = $_SESSION["$nomSrv"]["rootServeur"]."/".$_SESSION["$nomSrv"]["repServeur"]."/".$_SESSION["dossierActif"]."/";
$typeSrv= $_SESSION["$nomSrv"]["typeServeur"];

// L'utilisateur ne peut pas effectuer d'opération au dessus de sa racine virtuelle
verifie($_REQUEST["nomElement"]);

// L'utilisateur doit être autorisé à effectuer l'opération
if ($_SESSION["auth2"]=="on") {

// Test du contenu des variables
if (!empty($_REQUEST["nomElement"])) {
  if (preg_match($_SESSION["varsUser"], $_REQUEST["nomElement"])==1) { echo $_SESSION["dia"]["noPermission"];
    logAction("7","-1",$_SESSION["dia"]["noPermission"],$_SESSION["nomUser"],$_SESSION["dossierActif"],$_REQUEST["nomElement"],"");
    exit; }

// Construction des chemins
  $nomdossier=urldecode(trim($_REQUEST["nomElement"])); //convCar(urldecode(trim($_REQUEST["nomElement"])));
  $chemindossier=stripslashes(blindeChemin($chemin.$nomdossier));

// Création du dossier
  if ($typeSrv=="1") {
  // En local
    if (@mkdir(utf8_decode($chemindossier))===false)
         $message= $_SESSION["dia"]["dirCreate"]." '".$nomdossier."' ".$_SESSION["dia"]["hasFailed"].". ".$erreur;
    else $message= $_SESSION["dia"]["theNewDir"]." '".$nomdossier."' ".$_SESSION["dia"]["hasBeen"]." ".$_SESSION["dia"]["created"]." ".$_SESSION["dia"]["withSuccess"];
  } else {
    // En FTP
    $_SESSION["$nomSrv"]["connexion"]=connexionFTP($nomSrv,$_SESSION["pts"]);
    if (@ftp_mkdir($_SESSION["$nomSrv"]["connexion"],$chemindossier)===false)
         $message= $_SESSION["dia"]["dirCreate"]." '".$nomdossier."' ".$_SESSION["dia"]["hasFailed"].". ".$erreur;
    else $message= $_SESSION["dia"]["theNewDir"]." '".$nomdossier."' ".$_SESSION["dia"]["hasBeen"]." ".$_SESSION["dia"]["created"]." ".$_SESSION["dia"]["withSuccess"];

  }
}

} else { $message= $_SESSION["dia"]["prohibited"]; }

echo $message;
logAction("7","1",$message,$_SESSION["nomUser"],$_SESSION["dossierActif"],$nomdossier,"");

?>
