<?php
/************************************************************************/
/*                                WEBSHARE                              */
/************************************************************************/
//
// Copyright (c) 2008 by Virginie Vivancos
// http://www.webshare.fr
//
// This program is free software. You can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License.
//
// =======================================================================
// Fonction : Ajoute un nouveau lien dans le répertoire courant
// Nom      : crea_lien.php
// Version  : 0.6.5
// Date     : 28/05/08
// =======================================================================
header ("Content-type: text/html; charset=utf-8");
session_start();
include_once "auth.php";
include_once "fonctions.php";
include_once "connexion.conf.php";
$nomSrv = $_SESSION["serveurActif"];
$chemin = $_SESSION["$nomSrv"]["rootServeur"]."/".$_SESSION["$nomSrv"]["repServeur"]."/".$_SESSION["dossierActif"]."/";
$typeSrv= $_SESSION["$nomSrv"]["typeServeur"];

// L'utilisateur ne peut pas effectuer d'opération au dessus de sa racine virtuelle
verifie($_REQUEST["nomElement"]);

// L'utilisateur doit être autorisé à effectuer l'opération
if ($_SESSION["auth2"]=="on") {

// Test du contenu des variables
if (!empty($_REQUEST["nomElement"])) {
  if (preg_match($_SESSION["varsUser"], $_REQUEST["nomElement"])==1) { echo $_SESSION["dia"]["noPermission"];
    logAction("8","-1",$_SESSION["dia"]["noPermission"],$_SESSION["nomUser"],$_SESSION["dossierActif"],$_REQUEST["nomElement"],"");
    exit; }

// Construction des chemins
  $nomLien=convCar(urldecode(trim($_REQUEST["nomElement"])));
  $adrLien=trim($_REQUEST["adrElement"]);
  if (substr($adrLien,0,7)!="http://") $adrLien="http://".$adrLien;

  $cheminLien=stripslashes(blindeChemin($chemin.$nomLien.".url"));

// Création du lien
  if ($typeSrv=="1") {
  // En local
    if (($dest = fopen($cheminLien, "w+")) !== FALSE) {
     fwrite ($dest, "[DEFAULT]\nBASEURL=".$adrLien."\n[InternetShortcut]\nURL=".$adrLien);
     fclose ($dest);
           $message= $_SESSION["dia"]["theNewLink"]." '".$nomLien."' ".$_SESSION["dia"]["hasBeen"]." ".$_SESSION["dia"]["created"]." ".$_SESSION["dia"]["withSuccess"];
    } else $message= $_SESSION["dia"]["linkCreate"]." '".$nomLien."' ".$_SESSION["dia"]["hasFailed"].". $erreur";
  } else {
    // En FTP
    $_SESSION["$nomSrv"]["connexion"]=connexionFTP($nomSrv, $_SESSION['pts']);
    $cheminTmp=stripslashes(blindeChemin($_SESSION["tempDir"]."/".$nomLien.".url"));
    
    if (($dest = fopen($cheminTmp, "w+")) !== FALSE) {
     fwrite ($dest, "[DEFAULT]\nBASEURL=".$adrLien."\n[InternetShortcut]\nURL=".$adrLien);
     fclose ($dest);
    //FIXME : gestion du message d'erreur 
     if(@ftp_put($_SESSION["$nomSrv"]["connexion"],$cheminLien,$cheminTmp, FTP_BINARY)){
    	@unlink($cheminTmp);
	$message= $_SESSION["dia"]["theNewLink"]." '".$nomLien."' ".$_SESSION["dia"]["hasBeen"]." ".$_SESSION["dia"]["created"]." ".$_SESSION["dia"]["withSuccess"];
     }else{
         $message= $_SESSION["dia"]["linkCreate"]." '".$nomLien."' ".$_SESSION["dia"]["hasFailed"].". $erreur";
      @unlink($cheminTmp);}
     } else $message= $_SESSION["dia"]["linkCreate"]." '".$nomLien."' ".$_SESSION["dia"]["hasFailed"].". $erreur";

  }
}

} else { $message= $_SESSION["dia"]["prohibited"]; }

echo $message;
logAction("8","1",$message,$_SESSION["nomUser"],$_SESSION["dossierActif"],$adrLien,"");
?>
