<?php
/************************************************************************/
/*                                WEBSHARE                              */
/************************************************************************/
//
// Copyright (c) 2008 by Virginie Vivancos
// http://www.webshare.fr
//
// This program is free software. You can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License.
//
// =======================================================================
// Fonction : Renomme un dossier ou un fichier
// Nom      : renommer.php
// Version  : 0.6.5
// Date     : 28/05/08
// =======================================================================
header ("Content-type: text/html; charset=utf-8");
session_start();
include_once "auth.php";
include_once "fonctions.php";
include_once "connexion.conf.php";
// Récupération des informations serveurs
if (!empty($_REQUEST["nomSrv"])) $nomSrv= $_REQUEST["nomSrv"];
                            else $nomSrv= $_SESSION["serveurActif"];
                                 $nomPro= $_REQUEST["nomPro"];
                                 $typeSrv= $_SESSION["$nomSrv"]["typeServeur"];
                                 $chemin = blindeChemin($_SESSION["$nomSrv"]["rootServeur"]."/".$_SESSION["$nomSrv"]["repServeur"]."/");

// L'utilisateur ne peut pas effectuer d'opération au dessus de sa racine virtuelle
verifie($_REQUEST["nomElement"]);

// L'utilisateur doit être autorisé à effectuer l'opération
if ($_SESSION["auth2"]=="on") {

	// Construction des chemins
	$nomLien      =stripslashes(urldecode(trim($_REQUEST["nomLien"])));
	$cheminElement=stripslashes(blindeChemin(utf8_encode($chemin).$nomLien));
	$nomElement   =stripslashes(urldecode(trim($_REQUEST["nomElement"])));
	$cheminDestin =dirname($cheminElement);

	// Test du contenu des variables
	if (!empty($_REQUEST["nomElement"])) {
  		if (preg_match($_SESSION["varsUser"], $nomLien)==1) {
			echo $_SESSION["dia"]["noPermission"];
    			logAction("16","-1",$_SESSION["dia"]["noPermission"],$_SESSION["nomUser"],$cheminElement,$nomElement,"");
    			exit;
		}


		// Dezippage de l'archive
		if ($typeSrv=="1") {
			// En Local
    			if (@dezipper($cheminElement,$cheminDestin)===false){
           			$message= $_SESSION["dia"]["theFile"]." '".$nomElement."' ".$_SESSION["dia"]["hasNotBeen"]." ".$_SESSION["dia"]["dezipped"]." ".$erreur;
			} else {
				$message= $_SESSION["dia"]["theFile"]." '".$nomElement."' ".$_SESSION["dia"]["hasBeen"]." ".$_SESSION["dia"]["dezipped"]." ".$_SESSION["dia"]["withSuccess"];
			}
		} else {
		// En FTP
  		// Fonction de copie récursive vers le FTP
  	  	function copieScandirToFTP($cheminDepart,$cheminDestin) {
			global $nomSrv;

			if ($handle=opendir($cheminDepart)) {
				while ( ($file = readdir($handle)) !== false ) {
  	           			if (preg_match("/^[.]{2}$|^[.]{1}$/", $file)==0) {
  	             				if (is_dir("$cheminDepart/$file")) {
  	               					@ftp_mkdir($_SESSION["$nomSrv"]["connexion"],"$cheminDestin/$file");
  	               					copieScandirToFTP("$cheminDepart/$file","$cheminDestin/$file");
  	             				} else {
							@ftp_put($_SESSION["$nomSrv"]["connexion"],"$cheminDestin/$file","$cheminDepart/$file", FTP_BINARY);
						}
 					}
  	       			}
  	       			closedir($handle);
  	    		} else {
				return false;
			}
  	      		return true;
	  	}

		// Fonction de suppression récursive Local
		function removeScandir($dir) {
			if ($handle=opendir(blindeChemin("$dir"))) {
	           		while ( ($file = readdir($handle)) !== false ) {
	               			if (preg_match("/^[.]{2}$|^[.]{1}$/", $file)==0) {
	                 			if (is_dir("$dir/$file")) removeScandir("$dir/$file");
	                   				else if (@unlink ("$dir/$file")=== false) return false;
	               			}
	           		}
	           		closedir($handle);
	           		@rmdir("$dir/");
	        	} else return false;
	        	return true;
		}

 		//Construction des chemins
 		$cheminDepart=  blindeChemin($chemin.$nomLien);
 		$cheminTemp  =  blindeChemin($_SESSION["tempDir2"]."/".$nomElement);
 		$_SESSION["$nomSrv"]["connexion"]=connexionFTP($nomSrv, $_SESSION['pts']);
		$rep = explode(".zip",$nomElement);
		//Recuperation du fichier pour le dezippage
 		if (($resultat=@ftp_get($_SESSION["$nomSrv"]["connexion"],$cheminTemp,$cheminDepart, FTP_BINARY)) === false){
 			$message= $_SESSION["dia"]["theFile"]." '".$nomElement."' ".$_SESSION["dia"]["hasNotBeen"]." . ".$erreur;
 		}
 		if (@dezipper($cheminTemp, dirname($cheminTemp)."/".$rep[0])===false){
 			$message= $_SESSION["dia"]["theFile"]." '".$nomElement."' ".$_SESSION["dia"]["hasNotBeen"]." ".$_SESSION["dia"]["dezipped"]." ".$erreur;
 		}
 		ftp_mkdir($_SESSION["$nomSrv"]["connexion"], blindeChemin(dirname($cheminDepart)."/".$rep[0]));
 		if(copieScandirToFTP($_SESSION["tempDir2"].$rep[0],blindeChemin(dirname($cheminDepart)."/".$rep[0])) === false){
 		      $message= $_SESSION["dia"]["theFile"]." '".$nomElement."' ".$_SESSION["dia"]["hasNotBeen"]." ".$_SESSION["dia"]["dezipped"]." ".$erreur;

 		}
 		//Supression des fichiers temporaires
		removeScandir($_SESSION["tempDir2"].$rep[0]);
		@unlink($cheminTemp);
 		$message= $_SESSION["dia"]["theFile"]." '".$nomElement."' ".$_SESSION["dia"]["hasBeen"]." ".$_SESSION["dia"]["dezipped"]." ".$_SESSION["dia"]["withSuccess"];

		}
	}
}
echo $message;
logAction("16","1",$message,$_SESSION["nomUser"],$cheminElement,$nomElement,"");

?>
