<?php
/************************************************************************/
/*                                WEBSHARE                              */
/************************************************************************/
//
// Copyright (c) 2008 by Virginie Vivancos
// http://www.webshare.fr
//
// This program is free software. You can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License.
//
// =======================================================================
// Fonction : Exploration du contenu des dossiers
// Nom      : explorer.php
// Version  : 0.6.5
// Date     : 28/05/08
// =======================================================================
session_start();
include_once "auth.php";
include_once "fonctions.php";
include_once "connexion.conf.php";

header('Content-Type: text/xml');
echo '<'.'?xml version="1.0" encoding="UTF-8"'.'?>';
echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "declarations.dtd">';
$formatExt  = $_SESSION["formatExt"];
$listeSrv =""; $num=1;

$listeExt="|std|";
foreach ($_SESSION["assoc"] as $nom => $valeur) {
  $datas= explode("|",$valeur);
  $listeExt.=$nom."|";
}

echo "<reponse><repArbre>";

// ==== Explore le contenu des répertoires locaux ====
function recScandir($dir,$nomSrv,$niveau) {
   global $num,$listeExt;
   $chemin=blindeChemin($_SESSION["$nomSrv"]["rootServeur"]."/".$_SESSION["$nomSrv"]["repServeur"]);
   $files = array();
   $rawfile = array();
   if ($handle=@opendir(blindeChemin("$chemin/$dir"))) {

     while ( ($file = readdir($handle)) !== false ) {
       if (preg_match($_SESSION["varsUser"], $file)==0) {
         if ( is_dir("$chemin/$dir/$file")) $rawfile[]="$file";
         if ( ($_SESSION["arboLink"]=="1")&&(preg_match("/\.url/", $file)==1)) $rawfile[]="$file";
       }
     }

     sort ($rawfile);
     foreach ($rawfile as $liste) {
       $iciPerm= gestion(fileperms("$chemin/$dir/$liste"));
       if (preg_match("/\.url/", $liste)==1) {
            $lien=blindeLien("$dir/$liste"); $lienWeb="";
            if (($content_file = file("$chemin/$dir/$liste"))!==false) {
               preg_match("/(http.*)$/","$content_file[1]",$reglien);
                   $lienWeb=blindeNom(trim($reglien[1]));
                   preg_match("!^BASEURL=([[:alpha:]]*)\:\/\/([[:alnum:]-\.]*)[\/]?([[:alnum:]-\/]*)\.([[:alnum:]]*)[\?]?([[:alnum:]=&]*).*$!","$content_file[1]",$reglien);
             $extension=strtolower(trim($reglien[4]));
             if (preg_match("/(".$extension.")/", $listeExt)==0) $extension="url";
          }
          $point= strrpos($liste, ".");
                echo "<brc><lnk>".$lien."</lnk><web>".$lienWeb."</web>"
                  ."<nom>".blindeAffichage(substr($liste,0,$point))."</nom><prm>$iciPerm</prm>"
                    ."<url>url</url><num>$num</num><pro>url</pro><ext>$extension</ext>";

       } else { echo "<brc><lnk>".blindeLien("$dir/$liste")."</lnk><web></web>"
                    ."<nom>".blindeAffichage("$liste")."</nom><prm>$iciPerm</prm>"
                    ."<url>miniclose</url><num>$num</num><pro>dossier</pro><ext></ext>";
       }
       $num++;
       if ($niveau<3) $files["$liste"] = recScandir("$dir/$liste/",$nomSrv,$niveau+1);
     echo "</brc>";
     }

     closedir($handle);
     return $files;
   }
}

// ==== Explore le contenu des répertoires distants ====
function recScandirFTP($dir,$nomSrv,$niveau) {
   global $num,$listeExt;
   $cheminOrigine=blindeChemin($_SESSION["$nomSrv"]["rootServeur"]."/".$_SESSION["$nomSrv"]["repServeur"]);
   if (($contents = ftp_rawlist($_SESSION["$nomSrv"]["connexion"], $dir))!==FALSE) {
     foreach($contents as $file) {
       if (preg_match($_SESSION["varsUser"], $file)==0) {

        $info = array();
        $vinfo = preg_split("/[\s]+/", $file, 9);
        if ($vinfo[0] !== "total") {
          $fileperms     = $vinfo[0];
          $filename      = $vinfo[8];
        }

         if (strpos($fileperms,"d")!==FALSE||strpos($fileperms,"l")!==FALSE) {
           $cheminRelatif= preg_replace("@($cheminOrigine)@","",blindeLien("$dir/$filename"));
           if ($cheminRelatif!="/") $cheminRelatif="/$cheminRelatif";
           //FIXME : gestion des Simbolic Link pour l'explorateur
           if(strpos($fileperms,"l")!==FALSE){
                $pretty_filename = explode(" ->", $filename);
                $filename = $pretty_filename[0];
                $pretty_cheminRelatif = explode(" -&gt;", $cheminRelatif);
                $cheminRelatif = $pretty_cheminRelatif[0];
           }

           echo "<brc><lnk>".$cheminRelatif."</lnk><web></web><nom>".blindeAffichage("$filename")."</nom><prm>RW</prm>"
               ."<url>miniclose</url><num>$num</num><pro>dossier</pro><ext>$extension</ext>";
	       $num++;
    	   if ($niveau<2) $files = recScandirFTP("$dir/$filename/",$nomSrv,$niveau+1);
           echo "</brc>";
       }
     }
     }
     return $files;
   }
}

for ($j=0;isset($_SESSION["listeServeur"][$j]);$j++) {
  $nomSrv=$_SESSION["listeServeur"][$j];
  $listeSrv.=" $nomSrv";
  echo "<contArbre>";

  if ($_SESSION["$nomSrv"]["typeServeur"]=="1") {
    echo "<serveur>$nomSrv</serveur><cnx>$_SESSION[cheminImg]ordi.$_SESSION[formatExt]</cnx>";
    $chemin=blindeChemin($_SESSION["$nomSrv"]["rootServeur"]."/".$_SESSION["$nomSrv"]["repServeur"]);
    if (!is_dir($chemin)) mkdir($chemin);
    $depart=basename($chemin);
    echo "<brc><lnk>/</lnk><web></web>".
         "<prm>RW</prm><nom>".blindeNom($depart)."</nom><url>miniclose</url><num>$num</num><pro>dossier</pro><ext>arbo</ext>"; $num++;
    $dir = recScandir("",$nomSrv,0);
    echo "</brc>";
  } else {
    $_SESSION["$nomSrv"]["connexion"]=connexionFTP($nomSrv, $_SESSION['pts']);
    if (!$_SESSION["$nomSrv"]["connexion"]) {
      echo "<serveur>$nomSrv</serveur><cnx>$_SESSION[cheminImg]network2.$_SESSION[formatExt]</cnx>";
    } else {
      echo "<serveur>$nomSrv</serveur><cnx>$_SESSION[cheminImg]network.$_SESSION[formatExt]</cnx>";
    $chemin=blindeChemin($_SESSION["$nomSrv"]["rootServeur"]."/".$_SESSION["$nomSrv"]["repServeur"]);
      $depart=basename($chemin);
      //FIXME : mise en commentaire des 3 lignes pour eviter la visualisation du .ftp
      // echo "<brc><lnk>/</lnk><web></web>".
      //     "<prm>RW</prm><nom>".blindeNom($depart)."</nom><url>miniclose</url><num>$num</num><pro>dossier</pro><ext>arbo</ext>"; $num++;
      $dir = recScandirFTP(blindeChemin($_SESSION["$nomSrv"]["rootServeur"]."/".$_SESSION["$nomSrv"]["repServeur"]),$nomSrv,0);
     // echo "</brc>";
    }
  }
  echo "</contArbre>";
}
if ($_SESSION["repCorbeille"]==1) {
  echo "<contArbre><serveur>".$_SESSION["dia"]["corbeille"]."</serveur><cnx>$_SESSION[cheminImg]corbeille.$_SESSION[formatExt]</cnx>";
  echo "<brc><lnk>/</lnk><nom>".$_SESSION["dia"]["viewContent"]."</nom><prm>C</prm></brc></contArbre>";
}

echo "</repArbre></reponse>";

logAction("2","1",$_SESSION["dia"]["exploreShare"]." ".$listeSrv,$_SESSION["nomUser"],$_SESSION["dossierActif"],"-","");

?>
