#-*-coding:utf-8-*-
###########################################################################
# Eole NG - 2009
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr
#
# webshare.py
#
# Configuration de base de données mysql de webshare
#
###########################################################################
"""
    Config pour webshare
"""
from os.path import isdir
from eolesql.config import dico_creole
WEBSHARE_TABLEFILENAMES = ["/etc/sysconfig/eole/scribe-webshare.sql"]

def test():
    """
        test l'existence de la table Posh
    """
    return (dico_creole.get('scribe_envole_webshare', 'non') == 'oui') and \
           (not isdir("/var/lib/mysql/webshare"))

conf_dict = dict(filenames=WEBSHARE_TABLEFILENAMES,
                 test=test)
