<?php
/************************************************************************/
/*                                WEBSHARE                              */
/************************************************************************/
//
// Copyright (c) 2008 by Virginie Vivancos
// http://www.webshare.fr
//
// This program is free software. You can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License.
//
// =======================================================================
// Fonction : Fichier de traduction version coréenne par JaeHyung Lee
// Nom      : korean.lang.php
// Version  : 0.6.5
// Date     : 28/05/08
// =======================================================================
// Text encoding: UTF-8/UNIX(LF)

  $listeMois= array("","1월.","2월.","3월","4월","5월","6월","7월","8월.","9월","10월","11월","12월");
  $listeJour= array("","Mon"=>"월요일","Tue"=>"화요일","Wed"=>"수요일","Thu"=>"목요일","Fri"=>"금요일","Sat"=>"토요일","Sun"=>"일요일");

  $dia= array();

  // Panneau de login
  $dia["ident"]             ="로그인 해주세요 :";
  $dia["cantIdent"]         ="로그인 오류.";
  $dia["identProblem1"]     ="서버 접속 불가.";
  $dia["identProblem2"]     ="기술적인 문제.";
  $dia["enter"]             ="엔터";

  // Interface
  $dia["loading"]           ="로딩";
  $dia["actualDir"]         ="현재 폴드 : ";
  $dia["connected"]         ="접속자 ";
  $dia["directLink"]    ="다이렉트 링크";
  $dia["filePreview"]       ="파일 미리보기";
  $dia["pictPreview"]       ="그림 미리보기";
  $dia["webPreview"]        ="브라우징 ";
  $dia["niveauSup"]         ="위로";
  $dia["closePanel"]        ="패널 닫기";
  $dia["picTooBig"]         ="그림 사이즈가 너무 큽니다.";
  $dia["previousPage"]     ="이전 페이지";
  $dia["upDir"]         ="Level up";
  $dia["updateDir"]      ="폴드 업데이트";
  $dia["changeStyle"]       ="스킨 선택";
  $dia["refreshTree"]       ="폴드 트리 새로고침";
  $dia["hideTree"]          ="폴드 트리 축소";
  $dia["showTree"]          ="폴드 트리 전개";
  $dia["printGallery"]    ="갤러리 인쇄";
  $dia["saveAll"]        ="모두 저장";
  $dia["savePic"]        ="모두";
  $dia["webSite"]           ="웹사이트";
  $dia["affichage"]         ="보기설정";
  $dia["expPanel"]          ="폴드트리 패널보기";
  $dia["background"]      ="배경";
  $dia["miniature"]       ="썸네일";
  $dia["bigIcone"]       ="큰아이콘";
  $dia["liste"]        ="간단히";
  $dia["details"]       ="자세히";
  $dia["none"]           ="폴드 트리 숨김";
  $dia["arbo"]          ="폴드 트리 보기";
  $dia["closeWindow"]    ="닫기";
  $dia["viewContent"]       ="컨탠츠 보기";
  $dia["onlineHelp"]        ="온라인 도움말";
  $dia["rapport"]           ="버그 보고하기";
  $dia["options"]       ="옵션";
  $dia["contact"]       ="연락";
  $dia["about"]         =" 정보";
  $dia["total"]             ="총";
  $dia["free"]              ="무료";
  $dia["octet"]             ="b";
  $dia["selectAll"]         ="모두 선택";
  $dia["select"]            ="선택";
  $dia["unselect"]          ="해제";

  // Verbes / actions
  $dia["openFile"]       ="열기";
  $dia["openFileWith"]     ="with 열기";
  $dia["saveFile"]       ="저장하기";
  $dia["toExplore"]      ="익스플로러";
  $dia["toBrowse"]       ="브라우저";
  $dia["toVisit"]       ="방문하기";
  $dia["toView"]        ="보기";
  $dia["toWatch"]       ="지켜보기";
  $dia["toListen"]         ="듣기";
  $dia["toPrint"]         ="인쇄";
  $dia["toUpload"]        ="업로드";
  $dia["toCut"]         ="잘라내기";
  $dia["toCopy"]         ="복사하기";
  $dia["toPaste"]       ="붙여넣기";
  $dia["toMove"]            ="이동";
  $dia["toDelete"]      ="삭제";
  $dia["toChmod"]        ="속성 수정";
  $dia["toSearch"]      ="검색";
  $dia["toRename"]       ="이름변경";
  $dia["toComment"]       ="코멘트";
  $dia["toValid"]          ="저장";
  $dia["toEdit"]         ="편집";
  $dia["toModify"]      ="수정";
  $dia["toZip"]          ="압축";
  $dia["toDezip"]      ="해제";
  $dia["toRecover"]      ="복구";
  $dia["toConnect"]      ="접속";
  $dia["toQuit"]        ="나가기";

  // Chargement de fichier
  $dia["addUpload"]         ="파일 추가";
  $dia["startUpload"]       ="업로드 시작";
  $dia["limitTaille"]        ="서버의 최대 업로드 파일 크기는 ";
  $dia["ifFileExist"]       ="만약 파일이 존재 하면 :";
  $dia["replaceFile"]       ="대체하기";
  $dia["renameFile"]        ="이름변경";
  $dia["cancelFile"]        ="취소하기";
  $dia["waitingDownload"]   ="업로드 대기중";
  $dia["problemDownload"]   ="파일 업로드 도중 문제 발생";
  $dia["prohibited"]    ="이 파일을 수정할 권한이 없습니다.";
  $dia["downloading"]       ="업로드 진행";
  $dia["uploading"]         ="업로드 진행";
  $dia["started"]           ="시작됨";
  $dia["success"]           ="성공적으로 업로드 되었습니다.";
  $dia["tempNotSet"]     ="임시 폴드 불확정";
  $dia["withSuccess"]       ="with succes";
  $dia["uploaded"]          ="업로드됨.";
  $dia["succesUpload"]      ="uploaded with succes";
  $dia["cantOpen"]          ="파일을 열 수 없음 ";
  $dia["cantWrite"]         ="파일을 작성할 수 없음 ";
  $dia["fileTooBig"]      ="파일 크기가 허용된 크기를 초과했습니다.";
  $dia["wait"]              ="대기중";

  // Creation de nouveaux ?ements
  $dia["newFile"]       ="새 파일";
  $dia["newDir"]         ="새 폴드";
  $dia["newTxt"]         ="새 글자";
  $dia["newLink"]        ="새 링크";
  $dia["making"]            ="생성중";
  $dia["areYouSure"]        =" 를 정말 하시겠습니까";
  $dia["addTxt"]            ="새로운 빈 텍스트 문서의 이름을 입력해주세요 :";
  $dia["addDir"]            ="새로운 폴드의 이름을 입력해주세요 :";
  $dia["addNew"]            ="새로 추가";
  $dia["addLink"]           ="이름 입력 ";
  $dia["addLink2"]          ="그리고 새 링크의 주소 :";
  $dia["dirCreate"]         ="폴드 생성";
  $dia["txtCreate"]         ="빈 텍스트 문서 생성";
  $dia["linkCreate"]        ="링크 생성";
  $dia["linkTo"]            ="로 링크";
  $dia["created"]           ="생성됨";
  $dia["theNewDir"]         ="새 폴드";
  $dia["theNewLink"]        ="새 링크";
  $dia["theNewTxt"]         ="새 빈 텍스트 문서";

  // R?onses
  $dia["File"]              ="파일";
  $dia["rep"]               ="폴드";
  $dia["dir"]               =" 폴드";
  $dia["file"]              =" 파일";
  $dia["ofDir"]             =" 폴드의 ";
  $dia["ofFile"]            =" 파일의 ";
  $dia["onFile"]            =" 파일에서 ";
  $dia["theDir"]            ="폴드 ";
  $dia["theFile"]           ="파일 ";
  $dia["element"]           ="대상";
  $dia["hasBeen"]           ="has been ";
  $dia["hasNotBeen"]        ="되지 않음 ";
  $dia["hasFailed"]         ="실패함";
  $dia["successful"]        ="성공적으로 완료됨";
  $dia["dezipping"]        ="비압축 파일.";
  $dia["dezipped"]          ="압축되지 않음";
  $dia["startEdit"]       ="파일 편집 시작 ";
  $dia["endEdit"]         ="파일 편집 정지 ";
  $dia["confirmEdit"]       ="편집 저장됨.";
  $dia["savingDocument"]    ="문서 저장중 ";
  $dia["savingDirContent"]  ="폴드의 컨탠츠 저장중 ";
  $dia["savingFile"]        ="파일 저장중 ";
  $dia["backgAdded"]       ="그림이 배경으로 추가됨.";
  $dia["backgRemoved"]     ="배경 제거됨.";


  // Renommage / D?lacement / Suppression
  $dia["rename"]            ="새 이름 입력 ";
  $dia["renaming"]        ="이름 변경중";
  $dia["renamed"]           ="이름 변경됨";
  $dia["confirmSup"]      ="Confirm removing this file association ?";
  $dia["delete"]            =" 를 정말 삭제하시겠습니까";
  $dia["delete2"]           ="그리고 컨탠츠도 ?";
  $dia["deleting"]          ="삭제중";
  $dia["deleted"]           ="삭제됨";
  $dia["theRemove"]         ="제거";
  $dia["copyOf"]            ="Copy-of-";
  $dia["onlyCopy"]      ="하지만 복사되어졌습니다.";
  $dia["fileExist"]         ="같은 이름의 파일이 이미 존재합니다.";
  $dia["goingToCopy"]       ="is going to be copyied, 복사할 곳을 선택하세요.";
  $dia["goingToMove"]       ="is going to be moved, 이동할 곳을 선택하세요.";
  $dia["moving"]          ="이동중 ";
  $dia["moved"]             ="이동됨";
  $dia["fileEditing"]    ="편집중 ";
  $dia["copying"]          ="복사 진행중 ";
  $dia["copyingFile"]       ="업로드 할 곳으로 파일을 복사중";
  $dia["copied"]            ="복사됨";
  $dia["toActualDir"]       ="현재 폴드 to";
  $dia["typeOfElement"]     ="문서 ";
  $dia["copyTo"]            ="복사하기";
  $dia["moveTo"]            ="이동하기";
  $dia["prohibCar"]        ="금지된 기호 입력됨 그리고 제거됨 ( ? < > : # % + '' ' | & * / )";
  $dia["alreadyExist"]       ="이 파일 또는 폴드는 이미 존재합니다, 새 이름을 입력해주세요.";
  $dia["confirmReplace"]    ="이 파일 또는 폴드가 이미 존재합니다, 만약 저장하면 대체 될 것입니다.";

  // Gestion des droits
  $dia["modifyPermission"]  ="속성 수정";
  $dia["noPermission"]      ="파일 형식을 수정할 권한이 없습니다.";
  $dia["noOperation"]      ="이 작동은 허용되지 않았습니다.";
  $dia["modifying"]        ="속성 수정중 ";
  $dia["fileAttributes"]    ="파일 속성";
  $dia["cantModify"]        ="수정 되어질 수 없습니다.";
  $dia["modify"]            ="수정 되어졌습니다.";
  $dia["modified"]          ="수정됨 ";
  $dia["readWrite"]         ="읽기-쓰기";
  $dia["readOnly"]          ="읽기 전용";
  $dia["writeOnly"]         ="쓰기 전용";
  $dia["locked"]            ="파일 잠김";
  $dia["selectAttributes"]  ="속성 ";
  $dia["modR"]              ="R(읽기)";
  $dia["modW"]              ="W(쓰기)";
  $dia["modE"]              ="E(실행)";


  // Propri?? / Recherche
  $dia["property"]       ="속성 ";
  $dia["propertyOf"]        =" 의 속성";
  $dia["searchIn"]          ="in 검색 ";
  $dia["search"]            ="이름 입력 ";
  $dia["search2"]           ="의 파일 또는 폴드 검색 ?";
  $dia["searching"]        ="의 검색";
  $dia["searching2"]       ="in progress";
  $dia["useCasse"]      ="대,소문자 구분 ?";
  $dia["foundIn"]           ="in";
  $dia["into"]              ="into";
  $dia["and"]               ="그리고";
  $dia["elementsFound"]     =" 대상 찾음.";
  $dia["noResult"]          ="찾은 파일 없음.";

  // Tri des ??ents
  $dia["sortFile"]          ="파일 분류";
  $dia["byName"]         ="이름별로";
  $dia["byValue"]        ="by value";
  $dia["byType"]         ="형식별로";
  $dia["bySize"]         ="크기별로";
  $dia["byDate"]        ="날짜별로";
  $dia["byPerso"]        ="개인적인";
  $dia["webSort"]       ="기본분류";

  // Commentaires
  $dia["comment"]        ="코멘트";
  $dia["commentAdded"]      ="코멘트 추가됨.";
  $dia["commentsAdded"]     =" 코멘트 추가됨 ";
  $dia["commentNotAdded"]   ="코멘트 추가되지 않음.";
  $dia["addComment"]        ="코멘트 추가 ";
  $dia["addingComment"]     ="코멘트 추가중 ";
  $dia["commentFile"]       ="파일에 코멘트 ";
  $dia["messageOf"]         =" 의 메세지";

  // Menu Images
  $dia["previous"]       ="이전 이미지";
  $dia["next"]          ="다음 이미지";
  $dia["zoomp"]         ="확대 +";
  $dia["zoomm"]        ="축소 -";
  $dia["zooms"]        ="실제크기";
  $dia["diaporama"]       ="슬라이드쇼";
  $dia["refreshMini"]      ="축소모형 새로고침";
  $dia["rotate90"]       ="우로 90도 회전";
  $dia["rotate180"]       ="180도 회전";
  $dia["rotate270"]       ="좌로 90도 회전";
  $dia["flipV"]        ="수직 뒤집기";
  $dia["flipH"]        ="수평 뒤집기";
  $dia["resize"]         ="크기변경 ";
  $dia["keepRatio"]      ="모양 비율 유지 ?";
  $dia["width"]        ="넓이";
  $dia["height"]        ="높이";
  $dia["pixels"]         ="px";

  // Infos EXIF
  $dia["cliche"]       ="그림";
  $dia["object"]       ="파일";
  $dia["infocomment"]     ="코멘트";
  $dia["FileSize"]          ="파일 크기";
  $dia["DateTimeOriginal"]  ="날짜 시간 원본";
  $dia["resolution"]        ="해상도";
  $dia["XResolution"]       ="DPI";
  $dia["Software"]          ="소프트웨어";
  $dia["Photographer"]      ="포토그라퍼";
  $dia["ExposureTime"]      ="노출 시간";
  $dia["ApertureFNumber"]   ="조리개 F 숫자";
  $dia["MaxApertureValue"]  ="최대 조리개 값";
  $dia["ISOSpeedRatings"]   ="ISO Speed Ratings";
  $dia["FocalLength"]     ="초점 거리";
  $dia["ExposureBiasValue"] ="Exposure Bias Value노출 편중 값";
  $dia["LightSource"]     ="밝기 소스";
  $dia["Flash"]         ="후래쉬";

  // Envoi d'emails
  $dia["authSendMail"]      ="이메일로 대상 보내기 허용";
  $dia["sendMail"]          ="이메일로 보내기";
  $dia["titleMail"]         ="메세지 제목";
  $dia["recipientMail"]     ="수신자의 메일 주소 표시";
  $dia["contentMail"]       ="메세지 입력";
  $dia["sendMailConfirm"]   ="메세지 보내기";
  $dia["sendMailOK"]        ="메세지가 발송되었습니다.";
  $dia["sendMailProblem"]   ="메세지가 발송되지 않았습니다.";

  // Corbeille
  $dia["corbeille"]         ="휴지통";
  $dia["binNoElement"]      ="휴지통이 빈 상태입니다.";
  $dia["binContain"]        ="휴지통 포함";
  $dia["emptyBin"]          ="휴지통 비우기";
  $dia["emptyBinConfirm"]   ="휴지통을 비우겠습니까 ?";
  $dia["emptyConfirm"]      ="이 대상을 확실히 삭제하시겠습니까 ?";
  $dia["emptyBinResult"]    ="휴지통을 비웠습니다.";
  $dia["viewElements"]      ="모든 대상 보기";
  $dia["emptyElements"]     ="모든 대상 more than 비우기 ";
  $dia["activeBin"]         ="이 공유 폴드에 대한 휴지통 활성화 ";

  // Favoris
  $dia["favoris"]       ="북마크";
  $dia["addFav"]            ="북마크 추가";
  $dia["removeFav"]         ="북마크에서 제거";
  $dia["handleFav"]         ="북마크 관리";
  $dia["viewFav"]           ="모든 북마크 보기";

  // Tests des partages
  $dia["shareTest"]         ="설정 테스트 클릭.";
  $dia["shareOK"]           ="이 공유 폴드는 이용할 수 있습니다. 그리고 충분한 권한을 소유하고 있습니다.";
  $dia["shareProtected"]    ="이 공유 폴드는 이용할 수 있습니다. 그러나 충분한 권한은 없습니다.";
  $dia["shareNotAcc"]       ="표시된 루트는 이용할 수 없거나 존재하지 않습니다.";
  $dia["shareFtpNotAcc"]    ="FTP 서버 연결 불가능.";
  $dia["shareFtpBadLogin"]  ="에러로 서버가 리턴 됨, 아이디와 비밀번호를 확인해주세요.";
  $dia["shareFtpError"]     ="알려지지 않은 에러로 서버가 리턴 됨.";
  $dia["shareFtpcantMount"] ="FTP 서버에 도달할 수 없는 마운트 포인트.";
  $dia["shareFtpProtected"] ="FTP 서버의 탑재 지점 권한이 충분치 않습니다.";
  $dia["shareFtpOK"]        ="서버 연결과 공유 폴드 테스트가 성공적입니다..";


  // Administration
  $dia["adminTitle"]    ="사용자와 서버 관리";
  $dia["adminHeader"]    ="웹셰어 설정 관리";
  $dia["msgFooter"]      ="웹셰어는 GPL 라이센스를 따릅니다.";
  $dia["adminAlert1"]     ="기술적인 문제가 발생함, 변경 되지 않았습니다.";
  $dia["adminAlert2"]     ="변경 되지 않았습니다.";
  $dia["notActiv"]       ="이 옵션은 아직 실행되지 않습니다.";
  $dia["confirmation"]    ="확인";
  $dia["dialConfirm"]    ="확인 ?";

  // Panneau Partages
  $dia["adminRub2"]      ="공유";
  $dia["serverAdmin"]     ="공유 및 가상 폴드 관리";
  $dia["newServer"]       ="새 공유 폴드";
  $dia["msgInfo1"]       ="숙지 : FTP 연결은 아직 활성화 되지 않았습니다.";
  $dia["msgInfo2"]      ="경고 : 경로와 파일명은 알파벳 문자(소문자 또는 대문자) 그리고 숫자라야만 합니다.";
  $dia["msgInfo3"]      ="구두점, 강조부호나 공백은 허용되지 않습니다.";
  $dia["chooseUser"]       ="삭제할 사용자를 선택하세요";
  $dia["createUser"]       ="사용자 수정 또는 등록하기 그러면 허가 됩니다";
  $dia["chooseServer"]    ="삭제할 서버를 선택하세요";
  $dia["createServer"]    ="서버 수정 또는 생성하기 그러면 허가 됩니다.";
  $dia["FTP"]         ="FTP";
  $dia["local"]         ="로컬";
  $dia["serverFtp"]       ="서버 (FTP)";
  $dia["loginFtp"]       ="로그인 (FTP)";
  $dia["passFtp"]       ="비밀번호 (FTP)";
  $dia["portFtp"]       ="포트 (FTP)";
  $dia["shareRoot"]       ="루트";
  $dia["serverRoot"]       ="서버 루트";
  $dia["virtualRoot"]     ="가상 루트";
  $dia["defaultRoot"]     ="기본 폴드";
  $dia["protectRep"]       ="파일이 있는 새 폴드 보호 :";
  $dia["modeDegrade"]     ="강등 모드";

  // Panneau Utilisateur
  $dia["adminRub1"]      ="사용자들";
  $dia["userAdmin"]       ="사용자 관리";
  $dia["newUser"]       ="신규 사용자";
  $dia["administrator"]     ="관리자";
  $dia["lang"]              ="언어";
  $dia["user"]         ="사용자";
  $dia["group"]         ="그룹";
  $dia["name"]         ="이름";
  $dia["login"]         ="로그인";
  $dia["passwd"]         ="비밀번호";
  $dia["confirmation"]    ="확인";
  $dia["connexion"]      ="연결";
  $dia["default"]       ="브라우징";
  $dia["explore"]        ="익스플로러";
  $dia["visualis"]       ="스킨 선택";
  $dia["leftPanel"]      ="기본 패널";
  $dia["webSort"]       ="기본 분류";
  $dia["webDir"]         ="웹 폴드 미리보기";
  $dia["nameShare"]      ="공유 ";
  $dia["access"]      ="공유 접근 ";
  $dia["select"]         ="선택";
  $dia["open"]         ="열기";
  $dia["menuContext"]     ="컨텍스트 메뉴";
  $dia["leftClic"]       ="좌 클릭 :";
  $dia["rightClic"]     ="우 클릭 :";
  $dia["doubleClic"]       ="더블 클릭 :";
  $dia["toModify"]       ="수정하기";
  $dia["toCreate"]       ="생성하기";
  $dia["toRead"]         ="읽기";
  $dia["regexp"]         ="(RegExp > Add new expressions separated by | ) :";
  $dia["filterElement"]    ="필터 대상 포함중";
  $dia["recoExtension"]    ="다음의 익스텐션 인증됨";
  $dia["sessionTime"]    ="연결 유지 (분)";
  $dia["serverBase"]       ="mySQL 서버";
  $dia["actionAuth"]    ="User is authorized to make the following actions on not locked elements :";

  // Panneau Pr??ences
  $dia["adminRub3"]      ="환경설정";
  $dia["prefAdmin"]       ="환경설정 관리";
  $dia["baseAdmin"]       ="데이타베이스 관리";
  $dia["memoMax"]        ="스크립트의 메모리 허용 ";
  $dia["execMax"]        ="스크립트의 Life 유지 ";
  $dia["postMax"]         ="게시물 자료의 크기 제한";
  $dia["uploMax"]           ="업로드 파일의 크기 제한";
  $dia["lifeMax"]         ="Life 유지";
  $dia["timeMax"]         ="업로드의 Life 유지 ";
  $dia["previewWeb"]         ="웹사이트 미리보기 활성화";
  $dia["previewAct"]         ="썸네일 활성화 ";
  $dia["previewPDF"]         ="PDF 파일 미리보기 활성화";
  $dia["logAct"]        ="로그 기록 활성화";
  $dia["sepAdr"]        ="에 의한 주소 분류추출식별구별 ";
  $dia["alwaysConfirm"]     ="각 실행 확인";
  $dia["effectAct"]        ="그래픽 효과 활성화";
  $dia["completePath"]      ="경로 전체 보이기";
  $dia["frameTitle"]         ="윈도우 제목";
  $dia["viewClock"]         ="시계 보기";
  $dia["diapoSpeed"]        ="슬라이드쇼 속도";
  $dia["diapoStop"]         ="슬라이드쇼 중지";
  $dia["arboLink"]          ="폴드 트리 내의 링크 보기";
  $dia["activeMini"]        ="썸네일 활성화 ";
  $dia["dynWindow"]         ="다이내믹 윈도우";
  $dia["serverBase"]       ="mySQL 서버";
  $dia["loginBase"]       ="mySQL 로그인 ";
  $dia["passBase"]       ="mySQL 비밀번호";
  $dia["tableBase"]       ="기본 선택";

  // Panneau Infos
  $dia["adminRub5"]      ="정보";
  $dia["infoAdmin"]       ="설치 정보 요약 ";
  $dia["theExt"]         ="익스텐션";
  $dia["activated"]        =" 가 활성화됨.";
  $dia["notActivated"]     =" 가 비활성화됨.";
  $dia["libZip"]         ="(압축 파일 관리)";
  $dia["libGD"]            ="(이미지 및 썸네일 관리)";
  $dia["libMB"]         ="(특별 캐릭터 관리)";
  $dia["libXslt"]         ="(보완적인 Xslt 관리)";
  $dia["libFTP"]         ="(원격 FTP 연결)";
  $dia["libPdf"]         ="(PDF 썸네일 관리)";
  $dia["libMail"]         ="(메일로 대상 보내기)";
  $dia["libExif"]         ="(Exif 정보 표시)";
  $dia["dontExist"]         ="존재하지 않습니다.";
  $dia["notAccessible"]     ="존재하지 않거나 접근할 수 없습니다.";
  $dia["accessProtect"]     ="존재하지만 쓰기를 할 수 없습니다.";
  $dia["isAccessible"]      ="존재하며 쓰기가 가능합니다.";
  $dia["modulesDetected"]   ="has been detected 그리고 다음의 모듈들을 포함합니다 :";
  $dia["langDetected"]      ="has been detected 그리고 다음의 언어들을 포함합니다 :";
  $dia["styleDetected"]     ="has been detected 그리고 다음의 스킨들을 포함합니다 :";
  $dia["cgiUpNotDetected"]  ="has not been detected.";
  $dia["cgiUpLimited"]      ="has been detected 그러나 충분한 권한을 소유하고 있지 않습니다.";
  $dia["cgiUpDetected"]     ="has been detected 그리고 충분한 권한을 소유하고 있습니다.";
  $dia["unlimitedUpload"]   ="파일 크기 제한없이 업로드가 가능합니다.";
  $dia["alertfunction1"]    ="서버 환경이 어떤 제한을 걸고 있는 듯 합니다,";
  $dia["alertfunction2"]    ="웹셰어의 어떤 기능은 대게는 제한이 될 수 있을 겁니다.";
  $dia["msgVarNotModif1"]   ="이러한 문제의 경우 웹셰어에서 수정할 수 없습니다, ";
  $dia["msgVarNotModif2"]   ="'php.ini' 파일의 파라메터 디렉토리를 수정하세요.";
  $dia["msgVarModifiable1"] ="만약 문제에 부닥치면 이러한 값을 수정할 수 있습니다 ";
  $dia["msgVarModifiable2"] ="웹셰어 에서. ";
  $dia["tip1"]              ="표시된 값은 실제로 각 스크립트를 제한합니다 to ";
  $dia["tip2"]              ="life와 업로드의 초 to ";

  // Panneau Associations
  $dia["adminRub4"]      ="공동 관련";
  $dia["moduAdmin"]       ="모듈 관리";
  $dia["assoAdmin"]       ="Associations 관리";
  $dia["extension"]         ="익스텐션";
  $dia["exttype"]           ="유형";
  $dia["extmime"]           ="마임";
  $dia["extact1"]           ="기본 실행";
  $dia["extact2"]           ="2차 실행";
  $dia["toAdd"]             ="추가";
  $dia["newStyle"]          ="새 스킨 추가";
  $dia["newModule"]         ="새 모듈 추가";
  $dia["updateWS"]          ="어플리케이션 업데이트";
  $dia["noVersionAv"]       ="새로운 버전이 없습니다";
  $dia["newVersionAv"]      ="새 버전이 있습니다";

  // Panneau Logs
  $dia["adminRub6"]      ="로그";
  $dia["logsAdmin"]     ="로그 보기";
  $dia["notConnected"]     ="데이타베이스 연결 실패, 정확한 파라메터를 확인해주세요.";
  $dia["connectedDB"]     ="데이타베이스 연결 작동중입니다.";
  $dia["msgBase"]       ="데이타베이스 환경설정은 필수적이진 않습니다. 하지만 로그 기록의 사후점검 기능은 비활성화 될 것입니다.";
  $dia["noLog"]          ="로그가 유효하지 않습니다";
  $dia["all"]               ="모두";
  $dia["allf"]              ="모두";
  $dia["resultInd"]         ="중립";
  $dia["resultPos"]         ="Positif";
  $dia["resultNeg"]         ="Negatif";
  $dia["noLogs"]            ="이 선택에 대한 실행이 없습니다";
  $dia["viewAction"]        ="실행 보기 :";
  $dia["madeBy"]            ="만든이";
  $dia["withResult"]        ="with result";
  $dia["fromDate"]          ="로부터 기간";
  $dia["toDate"]            ="to";
  $dia["ofDate"]            ="날짜 보기";
  $dia["day"]               ="일";
  $dia["days"]              ="일";


foreach($dia as $nomVar => $txtVar) {
  $_SESSION["dia"][$nomVar]=convertUTF8($txtVar);
}
foreach($listeMois as $nomVar => $txtVar) {
  $_SESSION["dia"]["listeMois"][$nomVar]=convertUTF8($txtVar);
}
foreach($listeJour as $nomVar => $txtVar) {
  $_SESSION["dia"]["listeJour"][$nomVar]=convertUTF8($txtVar);
}

  $_SESSION["dia"]["noConf"]  ="No account server or <br/>user was detected. <br/><br/>Go to the <a href='admin/index.php' style='text-decoration:underline'>administration panel</a><br/>to configure your accounts. <br/><br/>Consult documentation <br/>for more information.<br/><br/>";
  $_SESSION["dia"]["noServer"]="No account server was detected. <br/><br/>Go to the <a href='admin/index.php' style='text-decoration:underline'>administration panel</a><br/>to configure your accounts. <br/><br/>Consult documentation <br/>for more information.<br/><br/><br/>";
  $_SESSION["dia"]["noUser"]  ="No account user was detected. <br/><br/>Go to the <a href='admin/index.php' style='text-decoration:underline'>administration panel</a><br/>to configure your accounts. <br/><br/>Consult documentation <br/>for more information.<br/><br/><br/>";
  $_SESSION["dia"]["noJS"]    ="JavaScript has not been <br/>detected on your browser. <br/><br/>Activate Javascript or choose <br/>a more recent navigator<br/>to use Webshare.<br/><br/>";
  $_SESSION["dia"]["protect1"]="You enter WebShare administration for the first time. To protect your installation, you must define a login and a password that will be asked systematically during your next access.<br/><br/>";
  $_SESSION["dia"]["protect2"]="* Password fields must match to check their validity.<br/>Enter only alphanumeric characters in the fields.<br/>To change your login later, edit file .htaccess located in the administration folder.<br/><br/>";

?>