<?php
/************************************************************************/
/*                                WEBSHARE                              */
/************************************************************************/
//
// Copyright (c) 2008 by Virginie Vivancos
// http://www.webshare.fr
//
// This program is free software. You can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License.
//
// =======================================================================
// Fonction : Modifie les droits sur un dossier ou un fichier
// Nom      : autoriser.php
// Version  : 0.6.5
// Date     : 28/05/08
// =======================================================================
session_start();
include_once "auth.php";
include_once "fonctions.php";
include_once "connexion.conf.php";

// Récupération des informations serveurs
if (!empty($_REQUEST["nomSrv"])) $nomSrv= $_REQUEST["nomSrv"];
                            else $nomSrv= $_SESSION["serveurActif"];
                                 $nomPro= $_REQUEST["nomPro"];
                $typeSrv= $_SESSION["$nomSrv"]["typeServeur"];
$chemin = blindeChemin($_SESSION["$nomSrv"]["rootServeur"]."/".$_SESSION["$nomSrv"]["repServeur"]."/");
$message= $_SESSION["dia"]["prohibited"];

// L'utilisateur ne peut pas effectuer d'opération au dessus de sa racine virtuelle
verifie($_REQUEST["nomElement"]);

// L'utilisateur doit être autorisé à effectuer l'opération
if ($_SESSION["auth6"]=="on") {

// Construction des chemins
  $nomLien      =stripslashes(urldecode(trim($_REQUEST["nomLien"])));
  $cheminDossier=stripslashes(blindeChemin(utf8_encode($chemin)));
  $cheminElement=stripslashes(blindeChemin(utf8_encode($chemin).$nomLien));
  $nomElement   =stripslashes(urldecode(trim($_REQUEST["nomElement"])));

// Test du contenu des variables
  if (preg_match($_SESSION["varsUser"], $nomLien)==1) { echo $_SESSION["dia"]["noPermission"];
  logAction("10","-1",$_SESSION["dia"]["noPermission"],$_SESSION["nomUser"],$cheminElement,$nomElement,"");
  exit; }

// Récupération des droits
  if (!empty($_REQUEST["infoDroit"])) {
    if ($typeSrv=="1") {
    // En Local
      echo @fileperms($cheminElement); exit;
    } else {
      // En FTP
      $_SESSION["$nomSrv"]["connexion"]=connexionFTP($nomSrv, $_SESSION['pts']);      
      $droitsC = array("rwx", "rw-", "r-x", "r--", "-wx", "-w-", "--x", "---", "d");
      $droitsN = array("7",   "6",   "5",   "4",   "3",   "2",   "1",   "0",   "0");
      $cheminScan= dirname($cheminElement);
      $filename= basename($cheminElement);

      if (($contents = ftp_rawlist($_SESSION["$nomSrv"]["connexion"], $cheminScan))!==FALSE) 
        foreach($contents as $file) {
          if (preg_match("/$filename/", $file)==1) { 
            $fileperms = substr($file, 0, 10);
            $droits= intval(str_replace($droitsC, $droitsN, $fileperms));   
            echo octdec($droits); exit;
          }
        }
      exit;
    }
  }

// Modification des droits
  if (!empty($_REQUEST["valeurDroit"])) {
    if ($typeSrv=="1") {
    // En Local
      $valeur= sprintf("%04s", $_REQUEST["valeurDroit"]);
      if (@chmod($cheminElement,octdec($valeur))===false) $message= $_SESSION["dia"]["fileAttributes"]." '".htmlentities($nomElement)."' ".$_SESSION["dia"]["cantModify"];
                                                     else $message= $_SESSION["dia"]["fileAttributes"]." '".htmlentities($nomElement)."' ".$_SESSION["dia"]["modify"];
    } else {
    // En FTP
      $_SESSION["$nomSrv"]["connexion"]=connexionFTP($nomSrv, $_SESSION['pts']);      
      $valeur= sprintf("%04s", $_REQUEST["valeurDroit"]);
      if (@ftp_chmod ($_SESSION["$nomSrv"]["connexion"], octdec($valeur), $cheminElement)===false) 
                                                          $message= $_SESSION["dia"]["fileAttributes"]." '".htmlentities($nomElement)."' ".$_SESSION["dia"]["cantModify"];
                                                     else $message= $_SESSION["dia"]["fileAttributes"]." '".htmlentities($nomElement)."' ".$_SESSION["dia"]["modify"];
    }
  } else $message= $_SESSION["dia"]["noPermission"];

}
echo $message;
logAction("10","1",$message,$_SESSION["nomUser"],$cheminElement,$nomElement,"");

?>