<?php
/************************************************************************/
/*                                WEBSHARE                              */
/************************************************************************/
//
// Copyright (c) 2008 by Virginie Vivancos
// http://www.webshare.fr
//
// This program is free software. You can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License.
//
// =======================================================================
// Fonction : Créer un nouveau fichier
// Nom      : crea_fichier.php
// Version  : 0.6.5
// Date     : 28/05/08
// =======================================================================
session_start();
include_once "auth.php";
include_once "fonctions.php";

$nomSrv = $_SESSION["serveurActif"];
$chemin = $_SESSION["$nomSrv"]["rootServeur"]."/".$_SESSION["$nomSrv"]["repServeur"]."/".$_SESSION["dossierActif"]."/";
$typeSrv= $_SESSION["$nomSrv"]["typeServeur"];

$stat   = @fopen($_SESSION["tempDir2"]."/stats_".$_SESSION["sid"].".txt", 'w+');

function checkPermision(){
	if ((!isset($_FILES['filename']['name']))
	|| (strstr(html_entity_decode($_FILES['filename']['name']),"..")!==false)
	||(preg_match($_SESSION["varsUser"], $_FILES['filename']['name'])==1)) {
			fwrite($stat, "-1|".$_SESSION["dia"]["noPermission"]);
			exit();
		}
}

function checkSize(){
	if ($_SERVER['CONTENT_LENGTH'] > $_REQUEST["MAX_FILE_SIZE"]) {
		fwrite($stat, "-1|".$_SESSION["dia"]["fileTooBig"]);
		exit();
	}
}

checkPermision();
checkSize();

if ($_SESSION["auth2"]=="on") {
	if (!empty($_FILES['filename']['name'])&&is_uploaded_file($_FILES['filename']['tmp_name'])) {
		// Téléchargement terminé
		if (isset($_POST['sid'])){
			$temp_filename = blindeChemin($_SESSION["tempDir2"] . $_FILES['filename']['name'] . $_POST['sid']);
		}
		copy($_FILES['filename']['tmp_name'],blindeChemin($temp_filename));
		fwrite($stat, "100|".$_SESSION["dia"]["File"]." ".$_FILES['filename']['name']." ".$_SESSION["dia"]["succesUpload"]);
	} else{
		// Téléchargement en erreur
		fwrite($stat, "-1|".$_SESSION["dia"]["File"]." ".$_FILES['filename']['name']." ".$_SESSION["dia"]["hasNotBeen"]." ".$_SESSION["dia"]["uploaded"]." ".$erreur);
	}
} else {
	// Pas de droit pour le téléchargement
	fwrite($stat, "-1|".$_SESSION["dia"]["File"]." ".$_FILES['filename']['name']." ".$_SESSION["dia"]["hasNotBeen"]." ".$_SESSION["dia"]["uploaded"]." ".$_SESSION["dia"]["prohibited"]);
}
@fclose($stat);
?>
