<?php
/************************************************************************/
/*                                WEBSHARE                              */
/************************************************************************/
//
// Copyright (c) 2008 by Virginie Vivancos
// http://www.webshare.fr
//
// This program is free software. You can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License.
//
// =======================================================================
// Fonction : Créer un nouveau document texte vide
// Nom      : crea_txt.php
// Version  : 0.6.5
// Date     : 28/05/08
// =======================================================================
header ("Content-type: text/html; charset=utf-8");
session_start();
include_once "auth.php";
include_once "fonctions.php";
include_once "connexion.conf.php";
$nomSrv = $_SESSION["serveurActif"];
$chemin = $_SESSION["$nomSrv"]["rootServeur"]."/".$_SESSION["$nomSrv"]["repServeur"]."/".$_SESSION["dossierActif"]."/";
$typeSrv= $_SESSION["$nomSrv"]["typeServeur"];



// L'utilisateur ne peut pas effectuer d'opération au dessus de sa racine virtuelle
verifie($_REQUEST["nomElement"]);

// L'utilisateur doit être autorisé à effectuer l'opération
if ($_SESSION["auth2"]=="on") {

// Test du contenu des variables
if (!empty($_REQUEST["nomElement"])) {
  if (preg_match($_SESSION["varsUser"], $_REQUEST["nomElement"])==1) { echo $_SESSION["dia"]["noPermission"];
    logAction("9","-1",$_SESSION["dia"]["noPermission"],$_SESSION["nomUser"],$_SESSION["dossierActif"],$_REQUEST["nomElement"],"");
    exit; }

// Construction des chemins
  $nomElement= urldecode(trim($_REQUEST["nomElement"])); //convCar(urldecode(trim($_REQUEST["nomElement"])));

// Création du fichier
  if ($typeSrv=="1") {
  // En local
    $cheminTxt=stripslashes(blindeChemin($chemin."/".$nomElement.".txt"));
    if (($newtxt = fopen(utf8_decode($cheminTxt), "x+")) === FALSE) {
         $message= $_SESSION["dia"]["txtCreate"]." '".$nomElement."' ".$_SESSION["dia"]["hasFailed"].". ".$erreur;
         }
    else $message= $_SESSION["dia"]["theNewTxt"]." '".$nomElement."' ".$_SESSION["dia"]["hasBeen"]." ".$_SESSION["dia"]["created"]." ".$_SESSION["dia"]["withSuccess"];
    fclose($newtxt);    
  } else {
    // En FTP
    $_SESSION["$nomSrv"]["connexion"]=connexionFTP($nomSrv,$_SESSION["pts"]);
    $cheminTxt=stripslashes(blindeChemin($chemin."/".$nomElement.".txt"));
    $cheminTmp=stripslashes(blindeChemin($_SESSION["tempDir"]."/".$nomElement.".txt"));
    
    // Créer fichier vide en local puis copier sur le FTP puis suppression en local
    if (($newtxt = fopen($cheminTmp, "x+")) === FALSE) {
	    //$message= $_SESSION["dia"]["txtCreate"]." '".$nomElement."' ".$_SESSION["dia"]["hasFailed"].". ".$erreur;
	    $message= "ERREUR : ".$_SESSION["dia"]["txtCreate"]." '".$nomElement."' vérifiez les droits sur le répertoire temporaire" ;
    } else {
         fclose($newtxt);
	 //FIXME : gestion de l'erreur ftp_put
	 if(@ftp_put($_SESSION["$nomSrv"]["connexion"],$cheminTxt,$cheminTmp, FTP_BINARY))
         $message= $_SESSION["dia"]["theNewTxt"]." '".$nomElement."' ".$_SESSION["dia"]["hasBeen"]." ".$_SESSION["dia"]["created"]." ".$_SESSION["dia"]["withSuccess"];
          else
          $message= $_SESSION["dia"]["txtCreate"]." '".$nomElement."' ".$_SESSION["dia"]["hasFailed"].". ".$erreur;
          @unlink(utf8_decode($cheminTmp));

    }
  }

}

} else { $message= $_SESSION["dia"]["prohibited"]; }

echo $message;
logAction("9","1",$message,$_SESSION["nomUser"],$_SESSION["dossierActif"],$nomElement,"");
?>
