<?php
/************************************************************************/
/*                                WEBSHARE                              */
/************************************************************************/
//
// Copyright (c) 2008 by Virginie Vivancos
// http://www.webshare.fr
//
// This program is free software. You can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License.
//
// =======================================================================
// Fonction : Récupère la progression de l'upload
// Nom      : upload_progress.php
// Version  : 0.6.5
// Date     : 28/05/08
// =======================================================================

include_once "auth.php";
include_once "fonctions.php";
include_once "connexion.conf.php";


$nomSrv= $_SESSION["serveurActif"];
$chemin= blindeChemin(blindeChemin($_SESSION["cheminActif"]."/".$_SESSION["dossierActif"]."/"));

// FIX BUG envole : dans une iframe sous ajax-portail, l'utilisation d'Ajax avec upload.php envoit en GET des variables mal encodées donc utilisation en POST
if (isset($_GET["filename"]) || isset($_POST["filename"])) {
    $_SESSION["dl"]    = 0;
    $_SESSION["finDl"] = 0;
    $_SESSION["typeAction"] = isset($_POST["typeAction"]) ? $_POST["typeAction"] : $_GET["typeAction"];
    $_SESSION["fileName"]   = isset($_POST["filename"]) ? $_POST["filename"] : $_GET["filename"];
    $nomEncode = isset($_POST["nomEncode"]) ? $_POST["nomEncode"] : $_GET["nomEncode"];
    $_SESSION["nomEncode"]  = urldecode(stripslashes(basename(blindeChemin($nomEncode))));
    if (empty($_SESSION["nomEncode"])){
	$_SESSION["nomEncode"] = $_SESSION["fileName"];
    }
}
// utilisé comme répertoire transitoire (pour l'affichage de l'évolution de l'upload
$nomFichierTemp = $_SESSION["nomEncode"];
$statFile= $_SESSION["tempDir2"]."/stats_".$_SESSION["sid"].".txt";
$statInfo= file_get_contents($statFile);

// Test du statut de l'upload de fichier
if (isset($statInfo)&&(strlen($statInfo)!=0)) {
    $etat="D";
    $_SESSION["dl"]=1;
    $pourcent= substr($statInfo,0,strpos($statInfo,"|"));
    if ($pourcent=="100")   {
	$etat="S";
	$_SESSION["finDl"] = 1;
    }
    if ($pourcent=="-1")    {
	$etat="P";
	$_SESSION["finDl"] = 1;
    }
} else {
    $etat="W";
    if ($_SESSION["dl"]!=0) {
	$etat="S";
	$_SESSION["finDl"] = 1;
    }
}

// Gestion de la fin de l'upload et du message de retour
if ($_SESSION["finDl"]==1) {
    if ($pourcent=="100") {
	move_uploaded_file($_SESSION["fileName"],$_SESSION["tempDir2"]);
	if ((preg_match($_SESSION["varsUser"],$_SESSION["fileName"]))==0) {
	    //			$lienSrv= blindeChemin($_SESSION["tempDir2"]);
	    //			$handle = opendir($lienSrv);

 	    $connexion=connexionFTP($nomSrv,$_SESSION["pts"]);
	    $_SESSION["$nomSrv"]["connexion"] = $connexion;
	    $temp = blindeChemin($_SESSION["tempDir2"].$nomFichierTemp);
	    $dest_filename = $_SESSION["fileName"];
	    $dest = blindeChemin($chemin).$dest_filename;

	    if (file_exists($temp)) {
		$existing= 0;
		if (($contents = ftp_rawlist($connexion, $chemin))!==FALSE) {
		    foreach($contents as $file) {
			if (preg_match("/^[.]{2}$|^[.]{1}$/", $file)==0) {
			    $info = array();
			    $vinfo = preg_split("/[\s]+/", $file, 9);
			    if ($vinfo[0] !== "total") {
				$filename = $vinfo[8];
				if (preg_match("/".$dest_filename."/",$filename)==1){
				    $existing=1;
				    continue;
				}
			    }
			}
		    }
		    switch ($_SESSION["typeAction"]) {
		    default: case "0":
			if ($existing) {
				@ftp_delete($connexion,$dest);
			}
			get_pt();
			$ftp_reponse =  @ftp_put($connexion,$dest,$temp, FTP_BINARY);
			break;
		    case "1":
			get_pt();
			if ($existing)  {
			    $new_dest_filename = date("d_m_His_").$dest_filename;
			    $ftp_reponse = @ftp_put($connexion,blindeChemin($chemin).$new_dest_filename,$temp, FTP_BINARY);
			    $statInfo = "100|Votre fichier a été renommé en (jour_mois_heure_nomdufichier) : " . $new_dest_filename;
			}else {
			    $ftp_reponse = @ftp_put($connexion,$dest,$temp, FTP_BINARY);
			}
			break;
		    case "2":
			if (!$existing) {
			    $ftp_reponse = @ftp_put($connexion,$dest,$temp, FTP_BINARY);
			}else{
			$etat="P";
			    $statInfo = "-1| Le téléchargement de votre fichier a été annulé (le fichier existe !)";
   			$ftp_reponse = true;
			}
			break;
		    }
		    //FIXME :  envole : avoir un message d'erreur si un fichier est recopié dans un dossier ne possédant pas les droits en écriture
		    if($ftp_reponse==false) {
			$etat="P";
			$statInfo="-1| Non téléchargé - Le dossier ne possède pas les droits en écriture ou Quota dépassé.";
		    }
		}
	    }
	    else {
		$statInfo=$_SESSION["dia"]["noPermission"];
		unlink (blindeChemin($_SESSION["tempDir2"].$_SESSION["fileName"]));
	    }

	    }
	}

	unlink ($temp);
	unlink (blindeChemin($_SESSION["tempDir2"]."stats_".$_SESSION["sid"].".txt"));
	unlink (blindeChemin($_SESSION["tempDir2"]."temp_".$_SESSION["sid"]));
	$_SESSION["finDl"]==0;
    }
    echo $etat."|".$_SESSION["fileName"]."|".$statInfo."|End";

?>
